Name:          ccnet-server
Version:       7.1.5
Release:       1mamba
Summary:       A framework for writing networked applications in C
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://seafile.com/en/home/
## GITSOURCE https://github.com/haiwen/ccnet.git v3.1.4
Source:        https://github.com/haiwen/ccnet-server.git/v%{version}-server/ccnet-server-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libblkid-devel
BuildRequires: libevent-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libjansson-devel
BuildRequires: libmount-devel
BuildRequires: libmysqlclient-devel
BuildRequires: libopenssl-devel
BuildRequires: libpcre-devel
BuildRequires: libpostgresql-devel
BuildRequires: libpython3-devel
BuildRequires: libsearpc-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libsqlite-devel
BuildRequires: libuuid-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Provides:      ccnet
Obsoletes:     ccnet
Requires:      libccnet = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Ccnet is a framework for writing networked applications in C.

%package -n libccnet
Group:         System/Libraries
Summary:       Shared libraries for ccnet

%description -n libccnet
This package contains shared libraries for %{name}.

%package -n python-ccnet
Group:         System/Libraries
Summary:       Python binding to ccnet
Requires:      libccnet = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-ccnet
This package contains python binding to ccnet.

%package -n libccnet-devel
Group:         Development/Libraries
Summary:       Development files for ccnet
Requires:      libccnet = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libccnet-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure \
   --enable-python \
   --enable-console \
   PYTHON=%{__python3}
   
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libccnet -p /sbin/ldconfig
%postun -n libccnet -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/ccnet-server
%{_bindir}/ccnet-init

%files -n libccnet
%defattr(-,root,root)
%{_libdir}/libccnet.so.*

%files -n libccnet-devel
%defattr(-,root,root)
%{_includedir}/ccnet.h
%dir %{_includedir}/ccnet
%{_includedir}/ccnet/*.h
%{_libdir}/libccnet.a
%{_libdir}/libccnet.la
%{_libdir}/libccnet.so
%{_libdir}/pkgconfig/libccnet.pc
#%doc README.markdown

%files -n python-ccnet
%defattr(-,root,root)
%dir %{python3_sitearch}/ccnet
%{python3_sitearch}/ccnet/*.py*
%{python3_sitearch}/ccnet/__pycache__/*.pyc

%changelog
* Thu Dec 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 7.1.5-1mamba
- update to 7.1.5

* Sat Sep 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.0-1mamba
- update to 7.0.0

* Tue Dec 11 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.4-2mamba
- provide/obsolete ccnet

* Tue Dec 11 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.4-1mamba
- update to 6.3.4

* Thu Dec 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.3-1mamba
- update to 6.2.3

* Thu Jul 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.10-1mamba
- update to 6.0.10

* Wed Jul 12 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.7-1mamba
- update to 6.0.7

* Fri Apr 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.7-1mamba
- update to 5.0.7

* Thu May 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-1mamba
- update to 4.2.1

* Thu Jan 01 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.12-1mamba
- update to 3.1.12

* Sun Aug 10 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.4-2mamba
- rebuilt with --enable-server and other configure options

* Tue Aug 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.4-1mamba
- package created using the webbuild interface
